## enlighten 1.11.2

=== requirements.txt ===
blessed
prefixed

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -Ea
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = Enlighten
SOURCEDIR     = .
BUILDDIR      = ../build/doc

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## enlighten 1.6.0

=== debian/changelog ===
enlighten (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * Install manpage in python3-enlighten only
    Closes: #965182

 -- Andreas Tille <tille@debian.org>  Fri, 17 Jul 2020 14:10:09 +0200

enlighten (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Versioned Build-Depends: python3-blessed (>=1.17.7) <!nocheck>

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jul 2020 22:21:43 +0200

enlighten (1.5.2-1) unstable; urgency=medium

  * Initial release (Closes: #962544)

 -- Shayan Doust <hello@shayandoust.me>  Mon, 08 Jun 2020 14:37:19 +0100

=== debian/control ===
Source: enlighten
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Shayan Doust <hello@shayandoust.me>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               python3-all,
               python3-setuptools,
               dh-python,
               python3-blessed (>= 1.17.7) <!nocheck>,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-sphinxcontrib.spelling
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/enlighten
Vcs-Git: https://salsa.debian.org/med-team/enlighten.git
Homepage: https://github.com/Rockhopper-Technologies/enlighten
Rules-Requires-Root: no

Package: python3-enlighten
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-blessed
Description: console progress bar module for Python3
 Enlighten progress bar is a console progress bar module for Python3 which
 allows writing for stdout and stderr without any redirection.

Package: python3-enlighten-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Recommends: python3-enlighten
Description: console progress bar module for Python3 (documentation)
 Enlighten progress bar is a console progress bar module for Python3
 which allows writing for stdout and stderr without any redirection.
 .
 This package contains documentation.

Package: python3-enlighten-examples
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${misc:Depends}
Recommends: python3-enlighten
Description: console progress bar module for Python3 (examples)
 Enlighten progress bar is a console progress bar module for Python3
 which allows writing for stdout and stderr without any redirection.
 .
 This package contains example Python3 files meant to accommodate the python3-
 enlighten package.

## enlighten 1.7.2

=== debian/changelog ===
enlighten (1.7.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Remove empty fields from upstream metadata

  [ Shayan Doust ]
  * New upstream version 1.7.2
  * Bump up standards version

 -- Shayan Doust <hello@shayandoust.me>  Wed, 30 Dec 2020 22:27:14 +0000

enlighten (1.6.2-1) unstable; urgency=medium

  * New upstream version 1.6.2

 -- Shayan Doust <hello@shayandoust.me>  Thu, 03 Sep 2020 14:05:27 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-sphinxcontrib.spelling
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/enlighten
 Vcs-Git: https://salsa.debian.org/med-team/enlighten.git
 Homepage: https://github.com/Rockhopper-Technologies/enlighten

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/Rockhopper-Technologies/enlighten/releases .*/archive/v?@ANY_VERSION@\.tar\.gz

## enlighten 1.8.0

=== debian/changelog ===
enlighten (1.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Move package to Debian Python Team
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Build-Depends: python3-wheel, tox

 -- Andreas Tille <tille@debian.org>  Tue, 15 Feb 2022 20:13:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: enlighten
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Shayan Doust <hello@shayandoust.me>
 Section: science
 Priority: optional
@@ -10,10 +10,12 @@
                python3-blessed (>= 1.17.7) <!nocheck>,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-               python3-sphinxcontrib.spelling
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/med-team/enlighten
-Vcs-Git: https://salsa.debian.org/med-team/enlighten.git
+               python3-sphinxcontrib.spelling,
+               python3-wheel <!nocheck>,
+               tox <!nocheck>
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/enlighten
+Vcs-Git: https://salsa.debian.org/python-team/packages/enlighten.git
 Homepage: https://github.com/Rockhopper-Technologies/enlighten
 Rules-Requires-Root: no
 
@@ -45,6 +47,7 @@
 Depends: ${python3:Depends},
          ${misc:Depends}
 Recommends: python3-enlighten
+Multi-Arch: foreign
 Description: console progress bar module for Python3 (examples)
  Enlighten progress bar is a console progress bar module for Python3
  which allows writing for stdout and stderr without any redirection.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml doc/ build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman doc/ build/man # Manpage generator

override_dh_installman:
	dh_installman -p python3-enlighten build/man/*.1

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/Rockhopper-Technologies/enlighten/tags .*/v?@ANY_VERSION@\.tar\.gz

## enlighten 1.11.1

=== debian/changelog ===
enlighten (1.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: python3-prefixed

 -- Andreas Tille <tille@debian.org>  Tue, 17 Jan 2023 18:16:13 +0100

## enlighten 1.11.2

=== debian/changelog ===
enlighten (1.11.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1031460

 -- Andreas Tille <tille@debian.org>  Sun, 26 Feb 2023 07:56:11 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,13 @@
                python3-setuptools,
                dh-python,
                python3-blessed (>= 1.17.7) <!nocheck>,
+               python3-prefixed,
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-sphinxcontrib.spelling,
                python3-wheel <!nocheck>,
                tox <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/enlighten
 Vcs-Git: https://salsa.debian.org/python-team/packages/enlighten.git
 Homepage: https://github.com/Rockhopper-Technologies/enlighten
@@ -35,6 +36,7 @@
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends}
 Recommends: python3-enlighten
+Multi-Arch: foreign
 Description: console progress bar module for Python3 (documentation)
  Enlighten progress bar is a console progress bar module for Python3
  which allows writing for stdout and stderr without any redirection.
